Index: Makefile
===================================================================
--- Makefile	(revision 38)
+++ Makefile	(working copy)
@@ -35,8 +35,10 @@
 ASTSBINDIR=$(INSTALL_PREFIX)/usr/sbin
 ASTVARRUNDIR=$(INSTALL_PREFIX)/var/run
 
+ASTDATADIR?=$(ASTVARLIBDIR)
+
 MODULES_DIR=$(ASTLIBDIR)/modules
-AGI_DIR=$(ASTVARLIBDIR)/agi-bin
+AGI_DIR=$(ASTDATADIR)/agi-bin
 
 INCLUDE=-Iinclude -I../include
 
@@ -58,13 +60,13 @@
 all: 
 
 datafiles: all
-	mkdir -p $(DESTDIR)$(ASTVARLIBDIR)/sounds
-	mkdir -p $(DESTDIR)$(ASTVARLIBDIR)/sounds/silence
-	mkdir -p $(DESTDIR)$(ASTVARLIBDIR)/sounds/wx
-	mkdir -p $(DESTDIR)$(ASTVARLIBDIR)/sounds/ha
+	mkdir -p $(DESTDIR)$(ASTDATADIR)/sounds
+	mkdir -p $(DESTDIR)$(ASTDATADIR)/sounds/silence
+	mkdir -p $(DESTDIR)$(ASTDATADIR)/sounds/wx
+	mkdir -p $(DESTDIR)$(ASTDATADIR)/sounds/ha
 	for x in sounds/silence/*.gsm; do \
 		if grep -q "^%`basename $$x`%" sounds-extra.txt; then \
-			install -m 644 $$x $(DESTDIR)$(ASTVARLIBDIR)/sounds/silence ; \
+			install -m 644 $$x $(DESTDIR)$(ASTDATADIR)/sounds/silence ; \
 		else \
 			echo "No description for $$x"; \
 			exit 1; \
@@ -72,7 +74,7 @@
 	done
 	for x in sounds/wx/*.gsm; do \
 		if grep -q "^%`basename $$x`%" sounds-extra.txt; then \
-			install -m 644 $$x $(DESTDIR)$(ASTVARLIBDIR)/sounds/wx ; \
+			install -m 644 $$x $(DESTDIR)$(ASTDATADIR)/sounds/wx ; \
 		else \
 			echo "No description for $$x"; \
 			exit 1; \
@@ -80,7 +82,7 @@
 	done
 	for x in sounds/ha/*.gsm; do \
 		if grep -q "^%`basename $$x`%" sounds-extra.txt; then \
-			install -m 644 $$x $(DESTDIR)$(ASTVARLIBDIR)/sounds/ha ; \
+			install -m 644 $$x $(DESTDIR)$(ASTDATADIR)/sounds/ha ; \
 		else \
 			echo "No description for $$x"; \
 			exit 1; \
@@ -88,7 +90,7 @@
 	done
 	for x in sounds/*.gsm; do \
 		if grep -q "^%`basename $$x`%" sounds-extra.txt; then \
-			install -m 644 $$x $(DESTDIR)$(ASTVARLIBDIR)/sounds ; \
+			install -m 644 $$x $(DESTDIR)$(ASTDATADIR)/sounds ; \
 		else \
 			echo "No description for $$x"; \
 			exit 1; \
